VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Variables
Steinberg::Vst::Attributes Namespace Reference

Attributes used to defined a Layer in a VST XML Representation. More...

## Variables
const CString | kStyle = "style"
| string attribute : See AttributesStyle for available string value
const CString | kLEDStyle = "ledStyle"
| string attribute : See AttributesStyle for available string value
const CString | kSwitchStyle = "switchStyle"
| string attribute : See AttributesStyle for available string value
const CString | kKnobTurnsPerFullRange = "turnsPerFullRange"
| float attribute
const CString | kFunction = "function"
| string attribute : See AttributesFunction for available string value
const CString | kFlags = "flags"
| string attribute : See AttributesFlags for available string value

## Detailed Description

Attributes used to defined a Layer in a VST XML Representation.

## Variable Documentation

const CString kStyle = "style"

string attribute : See AttributesStyle for available string value

const CString kLEDStyle = "ledStyle"

string attribute : See AttributesStyle for available string value

const CString kSwitchStyle = "switchStyle"

string attribute : See AttributesStyle for available string value

const CString kKnobTurnsPerFullRange = "turnsPerFullRange"

float attribute

const CString kFunction = "function"

string attribute : See AttributesFunction for available string value

const CString kFlags = "flags"

string attribute : See AttributesFlags for available string value

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.